#!/bin/sh

classpath="@l_prefix@/lib/pdfsam"
for jar in @l_prefix@/lib/pdfsam/*.jar; do
    if [ ".$classpath" != . ]; then
        classpath="${classpath}:"
    fi
    classpath="${classpath}${jar}"
done

exec @l_prefix@/bin/java \
    -Vsun-jdk \
    -classpath "$classpath" \
    -Dapp.name="pdfsam" \
    -Dapp.pid="$$" \
    -Dapp.repo="@l_prefix@/lib/pdfsam" \
    -Dapp.home="@l_prefix@/lib/pdfsam" \
    -Dbasedir="@l_prefix@/lib/pdfsam" \
    org.pdfsam.community.App \
    ${1+"$@"}

